Bug 433323 - Firefox crash when printing
Firefox crash when printing
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
i386 Linux
low Severity high
: rc
: ---
Assigned To: Gecko Maintainer
Depends On:
  Show dependency treegraph
Reported: 2008-02-18 12:18 EST by Collin Douglas
Modified: 2008-05-21 10:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2008-0479
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace of firefox print dialog crash (57.90 KB, text/plain)
2008-02-22 08:04 EST, Help Desk Reseach and Developement
no flags Details

  None (edit)
Description Collin Douglas 2008-02-18 12:18:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20071213 Fedora/ Firefox/

Description of problem:
Firefox seems to crash for other reasons as well but I can get it crash almost every time when trying to print from this site.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.go to URL
2.Select a report to order / print
3.Select File --> Print

Actual Results:

Expected Results:
Should have received a printed page.

Additional info:
Stack trace follows:

[cbd][doc][~]$ firefox -g -jsconsole
/usr/lib/firefox- -g /usr/lib/firefox- -jsconsole
which: no ddd in (/adfbin:/prod/ins:/prod/bin:/usr/local/bin:/usr/X11R6/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/sbin:/sbin:/usr/bin:/bin:/devl/bin/:/home/cbd/mybin:/usr_config/xses_bin:.:/devl/bin:/devl/eclipse:.)
/usr/bin/gdb /usr/lib/firefox- -x /tmp/mozargs.Py8941
GNU gdb Red Hat Linux (6.5-25.el5_1.1rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db library "/lib64/libthread_db.so.1".

(gdb) run
Starting program: /usr/lib/firefox- -jsconsole
warning: Lowest section in system-supplied DSO at 0xffffe000 is .hash at ffffe0b4
[Thread debugging using libthread_db enabled]
[New Thread 4158941408 (LWP 8944)]
[New Thread 4157078416 (LWP 8948)]
[New Thread 4141665168 (LWP 8949)]
[New Thread 4120755088 (LWP 8952)]
[New Thread 4103469968 (LWP 8955)]
[New Thread 4065721232 (LWP 9036)]
[New Thread 4055231376 (LWP 9037)]
[New Thread 4044741520 (LWP 9038)]
[New Thread 4034251664 (LWP 9039)]
[New Thread 4023761808 (LWP 9043)]
[Thread 4023761808 (LWP 9043) exited]
[Thread 4065721232 (LWP 9036) exited]
[Thread 4055231376 (LWP 9037) exited]
[Thread 4044741520 (LWP 9038) exited]
[Thread 4034251664 (LWP 9039) exited]

(Gecko:8944): Gdk-CRITICAL **: gdk_colormap_get_screen: assertion `GDK_IS_COLORMAP (cmap)' failed

(Gecko:8944): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(Gecko:8944): Gdk-CRITICAL **: gdk_colormap_get_visual: assertion `GDK_IS_COLORMAP (colormap)' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4158941408 (LWP 8944)]
0x005aa7e4 in gtk_style_ref () from /usr/lib/libgtk-x11-2.0.so.0
(gdb) thread apply all backtrace

Thread 5 (Thread 4103469968 (LWP 8955)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x00bb34dc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x007c4396 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x007c51d4 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0xf7d0ca2b in nsHostResolver::GetHostToLookup (this=0x80bbc28, result=0xf495f384)
    at nsHostResolver.cpp:556
#5  0xf7d0d0c4 in nsHostResolver::ThreadFunc (arg=0x80bbc28) at nsHostResolver.cpp:641
#6  0x007cb16d in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00baf45b in start_thread () from /lib/libpthread.so.0
#8  0x009d924e in clone () from /lib/libc.so.6

Thread 4 (Thread 4120755088 (LWP 8952)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x00bb34dc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x007c4396 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x007c51d4 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0xf7cdd391 in nsIOThreadPool::ThreadFunc (arg=0x8315a28) at nsIOThreadPool.cpp:254
#5  0x007cb16d in PR_JoinThread () from /usr/lib/libnspr4.so
#6  0x00baf45b in start_thread () from /lib/libpthread.so.0
#7  0x009d924e in clone () from /lib/libc.so.6

Thread 3 (Thread 4141665168 (LWP 8949)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x00bb34dc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x007c4396 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x007c51d4 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0xf7edc30c in TimerThread::Run (this=0x80872c8) at TimerThread.cpp:318
#5  0xf7eda24d in nsThread::Main (arg=0x82524f0) at nsThread.cpp:118
#6  0x007cb16d in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00baf45b in start_thread () from /lib/libpthread.so.0
#8  0x009d924e in clone () from /lib/libc.so.6

Thread 2 (Thread 4157078416 (LWP 8948)):
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x009cf653 in poll () from /lib/libc.so.6
#2  0x007c6ee9 in PR_Poll () from /usr/lib/libnspr4.so
#3  0xf7d01ead in nsSocketTransportService::Poll (this=0x80bab90, interval=0xf7c7f358)
    at nsSocketTransportService2.cpp:359
#4  0xf7d020c8 in nsSocketTransportService::Run (this=0x80bab90)
    at nsSocketTransportService2.cpp:568
#5  0xf7eda24d in nsThread::Main (arg=0x80bb370) at nsThread.cpp:118
#6  0x007cb16d in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00baf45b in start_thread () from /lib/libpthread.so.0
#8  0x009d924e in clone () from /lib/libc.so.6

Thread 1 (Thread 4158941408 (LWP 8944)):
#0  0x005aa7e4 in gtk_style_ref () from /usr/lib/libgtk-x11-2.0.so.0
#1  0x005addb0 in gtk_style_attach () from /usr/lib/libgtk-x11-2.0.so.0
#2  0x00654ab2 in gtk_widget_set_usize () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#3  0x00654c0a in gtk_widget_set_usize () from /usr/lib/libgtk-x11-2.0.so.0
#4  0xf6fcfd05 in moz_container_forall (container=0x819ce20, include_internals=1, 
    callback=0x654ba0 <gtk_widget_set_usize+672>, callback_data=0x0) at mozcontainer.c:401
#5  0x004a51eb in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
#6  0x00654bf9 in gtk_widget_set_usize () from /usr/lib/libgtk-x11-2.0.so.0
#7  0x0046602f in gtk_button_box_set_child_size () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x004a51eb in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
#9  0x00654bf9 in gtk_widget_set_usize () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x00654c5d in gtk_widget_reset_rc_styles () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x0057d6b0 in gtk_rc_get_module_dir () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x00504231 in gtk_icon_info_get_type () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x001ac5e1 in g_source_is_destroyed () from /lib/libglib-2.0.so.0
#14 0x001ae342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#15 0x001b131f in g_main_context_check () from /lib/libglib-2.0.so.0
#16 0x001b1885 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#17 0xf6fd95d3 in nsAppShell::DispatchNativeEvent (this=0x0, aRealEvent=0, aEvent=0x0)
    at nsAppShell.cpp:274
#18 0xf6dd791b in nsXULWindow::ShowModal (this=0x8964768) at nsXULWindow.cpp:404
#19 0xf6dd1e89 in nsContentTreeOwner::ShowAsModal (this=0x8954c18) at nsContentTreeOwner.cpp:430
#20 0xf6e80d73 in nsWindowWatcher::OpenWindowJS (this=0x81ab8b0, aParent=0x8bf7d58, 
    aUrl=0xf6ea2976 "chrome://global/content/printdialog.xul", aName=0xf6ea195b "_blank", 
    aFeatures=0xf6ea1d05 "centerscreen,chrome,modal,titlebar", aDialog=1, argc=3, argv=0x8d06bf0, 
    _retval=0xffe3476c) at nsWindowWatcher.cpp:866
#21 0xf6e7d63d in nsWindowWatcher::OpenWindow (this=0x81ab8b0, aParent=0x8bf7d58, 
    aUrl=0xf6ea2976 "chrome://global/content/printdialog.xul", aName=0xf6ea195b "_blank", 
    aFeatures=0xf6ea1d05 "centerscreen,chrome,modal,titlebar", aArguments=0x8cf7290, 
    _retval=0xffe3476c) at nsWindowWatcher.cpp:477
#22 0xf6e9e89e in nsPrintingPromptService::DoDialog (this=0x895c8c8, aParent=0x8bf7d58, 
    aParamBlock=0x8c740e8, aWebBrowserPrint=0x8ca65b8, aPS=0x88ea730, 
    aChromeURL=0xf6ea2976 "chrome://global/content/printdialog.xul")
    at nsPrintingPromptService.cpp:266
#23 0xf6e9ea05 in nsPrintingPromptService::ShowPrintDialog (this=0x895c8c8, parent=0x8bf7d58, 
    webBrowserPrint=0x8ca65b8, printSettings=0x88ea730) at nsPrintingPromptService.cpp:118
#24 0xf5bcb758 in nsPrintEngine::Print (this=0x8ca65b8, aPrintSettings=0x88ea730, 
    aWebProgressListener=0x0) at nsPrintEngine.cpp:748
#25 0xf5ada0a2 in DocumentViewerImpl::Print (this=0x8b002f8, aPrintSettings=0x88ea730, 
    aWebProgressListener=0x0) at nsDocumentViewer.cpp:3389
#26 0xf7eee119 in XPTC_InvokeByIndex () at dist/include/xpcom/xptcstubsdef.inc:251
#27 0xf7248401 in XPCWrappedNative::CallMethod (ccx=@0xffe34c7c, 
    mode=XPCWrappedNative::CALL_METHOD) at xpcwrappednative.cpp:2156
#28 0xf724c385 in XPC_WN_CallMethod (cx=0x81065b8, obj=0x849a798, argc=2, argv=0x8c7c2ec, 
    vp=0xffe34da4) at xpcwrappednativejsops.cpp:1451
#29 0xf7f87910 in js_Invoke (cx=0x81065b8, argc=2, flags=2) at jsinterp.c:1175

#30 0xf7f86ff8 in js_InternalInvoke (cx=0x81065b8, obj=0x849a798, fval=139132016, flags=2, argc=2, 
    argv=0x8c7c2d0, rval=0xffe34fa8) at jsinterp.c:1272
#31 0xf7f61e26 in JS_CallFunctionValue (cx=0x81065b8, obj=0x849a798, fval=139132016, argc=2, 
    argv=0x8c7c2d0, rval=0xffe34fa8) at jsapi.c:4182
#32 0xf724fe3e in XPC_NW_FunctionWrapper (cx=0x81065b8, obj=0x849a7a0, argc=2, argv=0x8c7c2d0, 
    rval=0xffe35054) at XPCNativeWrapper.cpp:393
#33 0xf7f87910 in js_Invoke (cx=0x81065b8, argc=2, flags=0) at jsinterp.c:1175
#34 0xf7f8e8ee in js_Interpret (cx=0x81065b8, pc=0x843e1f4 ":", result=0xffe35358)
---Type <return> to continue, or q <return> to quit---
    at jsinterp.c:3599
#35 0xf7f8796c in js_Invoke (cx=0x81065b8, argc=1, flags=2) at jsinterp.c:1195
#36 0xf7f86ff8 in js_InternalInvoke (cx=0x81065b8, obj=0x849a4b0, fval=139044032, flags=2, argc=1, 
    argv=0xffe355bc, rval=0xffe355ac) at jsinterp.c:1272
#37 0xf7f61e26 in JS_CallFunctionValue (cx=0x81065b8, obj=0x849a4b0, fval=139044032, argc=1, 
    argv=0xffe355bc, rval=0xffe355ac) at jsapi.c:4182
#38 0xf5d62d91 in nsJSContext::CallEventHandler (this=0x839cdf0, aTarget=0x849a4b0, 
    aHandler=0x849a4c0, argc=1, argv=0xffe355bc, rval=0xffe355ac) at nsJSEnvironment.cpp:1456
#39 0xf5d9e748 in nsJSEventListener::HandleEvent (this=0xf713a650, aEvent=0x8959af0)
    at nsJSEventListener.cpp:186
#40 0xf5c88c43 in nsEventListenerManager::HandleEventSubType (this=0xf713a620, 
    aListenerStruct=0xf713a6b0, aDOMEvent=0x8959af0, aCurrentTarget=0x8c06ac0, aSubType=8, 
    aPhaseFlags=7) at nsEventListenerManager.cpp:1687
#41 0xf5c89fdb in nsEventListenerManager::HandleEvent (this=0xf713a620, aPresContext=0xf7121570, 
    aEvent=0xffe35aec, aDOMEvent=0xffe3587c, aCurrentTarget=0x8c06ac0, aFlags=7, 
    aEventStatus=0xffe35b54) at nsEventListenerManager.cpp:1788
#42 0xf5d3a91f in nsXULElement::HandleDOMEvent (this=0xf713a5e8, aPresContext=0xf7121570, 
    aEvent=0xffe35aec, aDOMEvent=0xffe3587c, aFlags=7, aEventStatus=0xffe35b54)
    at nsXULElement.cpp:2157
#43 0xf5d3a1c6 in nsXULElement::HandleDOMEvent (this=0xf714a4d0, aPresContext=0xf7121570, 
    aEvent=0xffe35aec, aDOMEvent=0x0, aFlags=<value optimized out>, aEventStatus=0xffe35b54)
    at nsXULElement.cpp:1985
#44 0xf5aef167 in PresShell::HandleDOMEventWithTarget (this=0xf711f5f0, aTargetContent=0xf714a4d0, 
    aEvent=0xffe35aec, aStatus=0xffe35b54) at nsPresShell.cpp:6557
#45 0xf5c14d71 in nsMenuFrame::Execute (this=0x8c5d478, aEvent=0xffe35ed0) at nsMenuFrame.cpp:1790
#46 0xf5c19001 in nsMenuFrame::HandleEvent (this=0x8c5d478, aPresContext=0xf7121570, 
    aEvent=0xffe35ed0, aEventStatus=0xffe35d70) at nsMenuFrame.cpp:510
#47 0xf5ae9c45 in PresShell::HandleEventInternal (this=0xf711f5f0, aEvent=0xffe35ed0, 
    aView=0x8b0d400, aFlags=1, aStatus=0xffe35d70) at nsPresShell.cpp:6502
#48 0xf5af374d in PresShell::HandleEvent (this=0xf711f5f0, aView=0x8b0d400, aEvent=0xffe35ed0, 
    aEventStatus=0xffe35d70, aForceHandle=0, aHandled=@0xffe35d68) at nsPresShell.cpp:6296
#49 0xf5d5a010 in nsViewManager::HandleEvent (this=0xf711f548, aView=0x8af37c8, aEvent=0xffe35ed0, 
    aCaptured=0) at nsViewManager.cpp:2564
#50 0xf5d5df86 in nsViewManager::DispatchEvent (this=0xf711f548, aEvent=0xffe35ed0, 
    aStatus=0xffe35e7c) at nsViewManager.cpp:2253
#51 0xf5d54ee7 in HandleEvent (aEvent=0xffe35ed0) at nsView.cpp:171
#52 0xf6fdaafe in nsCommonWidget::DispatchEvent (this=0x8af3828, aEvent=0xffe35ed0, 
    aStatus=@0xffe35f18) at nsCommonWidget.cpp:219
#53 0xf6fd5339 in nsWindow::OnButtonReleaseEvent (this=0x8af3828, aWidget=0x89c42c0, 
    aEvent=0x8523850) at nsWindow.cpp:1613
#54 0xf6fd5365 in button_release_event_cb (widget=0x89c42c0, event=0x8523850) at nsWindow.cpp:3751
#55 0x0053b000 in gtk_marshal_BOOLEAN__VOID () from /usr/lib/libgtk-x11-2.0.so.0
#56 0x0022bf0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#57 0x0023ce83 in g_signal_override_class_closure () from /lib/libgobject-2.0.so.0
#58 0x0023e147 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#59 0x0023e539 in g_signal_emit () from /lib/libgobject-2.0.so.0
#60 0x0064f0a8 in gtk_widget_get_default_style () from /usr/lib/libgtk-x11-2.0.so.0
#61 0x005344a3 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#62 0x005356a7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#63 0x0039f2aa in gdk_add_client_message_filter () from /usr/lib/libgdk-x11-2.0.so.0
#64 0x001ae342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#65 0x001b131f in g_main_context_check () from /lib/libglib-2.0.so.0
#66 0x001b16c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#67 0x00535b24 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#68 0xf6fd9593 in nsAppShell::Run (this=0x81aae40) at nsAppShell.cpp:139
#69 0xf6ec95d4 in nsAppStartup::Run (this=0x81aae00) at nsAppStartup.cpp:150
#70 0x0804f8d5 in XRE_main (argc=2, argv=0xffe36b04, aAppData=0x8065020) at nsAppRunner.cpp:2452
#71 0x0804abb0 in main (argc=Cannot access memory at address 0x0
) at nsBrowserApp.cpp:61
#72 0x00920dec in __libc_start_main () from /lib/libc.so.6
#73 0x0804aad1 in _start ()
Comment 2 Martin Stransky 2008-02-22 08:16:40 EST
Works for me with firefox 3. Check please packages what are attached to errata

You need to update nspr+nss packages too.
Comment 5 RHEL Product and Program Management 2008-03-03 09:17:13 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 errata-xmlrpc 2008-05-21 10:24:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.